
Redmine - Defect #5908

Odd rendering of right click menu in Firefox

2010-07-19 20:54 - Aaron Parks

Status: Confirmed Start date: 2010-07-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.1

Description

When using Firefox the right click menu does not leave enough room for submenus and their appear off screen (see scr)

Related issues:

Related to Redmine - Patch #6053: Fixed issue list context menu overflow New 2010-08-06

History

#1 - 2010-07-19 23:14 - Felix Schäfer

IIRC this wasn't firefox-only nor are you the first to notice it, pretty sure there already is a ticket for this. Could you try to find it so we can mark this one

a duplicate of the other?

#2 - 2010-07-22 15:18 - Aaron Parks

The only two I could find that were similar #960 and #618.

#3 - 2010-08-06 12:38 - Felix Schäfer

There's a proposed patch in #6053, haven't tested it though.

#4 - 2010-08-06 12:38 - Felix Schäfer

- Category set to UI

#5 - 2013-01-15 10:28 - Daniel Felix

- File contextmenuMisplacement.png added

- Status changed from New to Confirmed

- Affected version (unused) changed from devel to 2.2.1

- Affected version set to 2.2.1

I can confirm this in the current Redmine Release (2.2.1) with current Firefox Release (18).

The rendering isn't weird anymore but the placement of the contextmenu could be realy improved (see screenshot attached).

This could be forced by a smaller window height and some scrolling (you need to scroll 50-80px downwards - depending on your theme). There's

enough place to display it beneath, but instead it's display above, which causes the loss of the edit link.

In my opinion, the context menu doesn't respect the current viewport of the user for the calculation for it's position.

Files

WeirdDraw.png 93.9 KB 2010-07-19 Aaron Parks

contextmenuMisplacement.png 21.9 KB 2013-01-15 Daniel Felix
